settings
  time_step_limit = 10;
  time_error_limit = 0;
  crash_calling = 3;
  remote_sync = true;
  remote_sync_timeout = 5;
  skip_init_outputs = false;
  dv_read_only = false;
  tidy_bitmaps = false;
  disable_init_messages = true;
  log_window = false;
  log_window_history = 500;
  clear_log_on_start = false;
  ignore_same_message = true;
  ignore_time_interval = 0.33;
  log_file_size = 64;
end_settings;

const
end_const;

var
  vyvolat_historiu = boolean, false;
  history_popis = string, '';
  premenna1 = boolean, false;
  koniec = boolean, false;
  premenna2 = real, 0;
end_var;

driver
end_driver;

channel
end_channel;

timer

end_timer;

instrument

  window panel panel_2;
    owner = background;
    position = 360, 33, 212, 107;
    win_disable = zoom, minimize, maximize, lower, winlist;
    win_title = 'Histria innosti';
    visibility = vyvolat_historiu;
  end_panel;

  label text;
    owner = panel_2;
    position = 12, 49;
    font = SYSTEM, 9, normal;
    text = 'Kliknutm na ikonu si otvorte prehad';
    text = 'archvnych sborov histrie.';
    text = 'Otvorenm jednoho z nich mte prezera';
    text = 'histriu.';
  end_label;

  archiver history;
    owner = panel_2;
    position = 10, 15, 174, 28;
    file_type = relative;
    file_length = day;
    file_name = 'HIS';
    item
      name = 'POPIS';
      type = character;
      length = 40;
      dec_places = 0;
      expression = history_popis;
    end_item;
  end_archiver;

  window panel panel_1;
    owner = background;
    position = 16, 33, 324, 267;
    win_disable = zoom, minimize, maximize, lower, winlist;
    win_title = 'Prklad technolgie';
  end_panel;

  label text;
    owner = panel_1;
    position = 180, 49;
    font = SYSTEM, 9, normal;
    text = 'Kad spustenie i ukonenie';
    text = 'programu je zaznamenan do';
    text = 'histrie.';
    text = 'Takisto akkovek innos';
    text = '"ovladaa 1", "ovladaa 2"';
    text = 'a jeho hodnt.';
    text = 'Tmto spsobom sa d';
    text = 'sledova okovek.';
  end_label;

  label label_2;
    owner = panel_1;
    position = 54, 251;
    font = SYSTEM, 10, bold;
    text = 'ovlada 2';
  end_label;

  string_display pasik;
    owner = panel_1;
    position = 160, 5, 2, 254;
  end_string_display;

  label label_1;
    owner = panel_1;
    position = 52, 83;
    font = SYSTEM, 10, bold;
    text = 'ovlada 1';
  end_label;

  control control_1;
    owner = panel_1;
    position = 42, 189, 80, 66;
    output = premenna2;
    real_step = 0.1;
    dec_places = 1;
    receivers = udalost_2;
  end_control;

  meter meter_1;
    timer = 0.1;
    owner = panel_1;
    position = 30, 117, 104, 70;
    expression = premenna2;
  end_meter;

  indicator indicator_1;
    timer = 0.1;
    owner = panel_1;
    position = 62, 9;
    expression = premenna1;
  end_indicator;

  switch switch_3;
    owner = panel_1;
    position = 42, 51, 80, 30;
    output = premenna1;
    mode = text_button;
    true_text = 'OFF';
    false_text = 'ON';
    receivers = udalost_1;
  end_switch;

  switch switch_1;
    owner = panel_1;
    position = 178, 229, 130, 30;
    output = koniec;
    mode = text_button;
    true_text = 'Koniec programu';
    false_text = 'Koniec programu';
    logic = set_true;
    receivers = koniec_programu;
  end_switch;

  switch switch_2;
    owner = panel_1;
    position = 179, 7, 129, 30;
    output = vyvolat_historiu;
    mode = text_button;
    true_text = 'Histriu skry';
    false_text = 'Histriu zobrazi';
    receivers = panel_2;
  end_switch;

  program startup;
    begin
      history_popis='tart programu';
      history.DoArchive();
    end;
  end_program;

  program koniec_programu;
    begin
      if koniec then
        history_popis='Koniec programu';
        history.DoArchive();
        system.StopApplication();
      end;
    end;
  end_program;

  program udalost_1;
    begin
      if premenna1 then
        history_popis='I--> Ovlada 1 - ON';
      else
        history_popis='I--> Ovlada 1 - OFF';
      end;
      history.DoArchive();
    end;
  end_program;

  program udalost_2;
    begin
      history_popis=concat(('I--> Ovlada 2 - Nov hodnota: '), str(premenna2,10));
      history.DoArchive();
    end;
  end_program;

end_instrument;

